#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        KDE Frameworks 5 Tier 3 module for emoticons support
Name:           kemoticons
Version: 5.42.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/


BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  karchive-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kservice-devel >= %version


%description
KDE Frameworks 5 Tier 3 module for emoticons support

%files
%_kf5_datadir/emoticons
%_kf5_plugindir/emoticonsthemes/*.so
%_kf5_datadir/kservices5/*.desktop
%_kf5_datadir/kservicetypes5/*.desktop
%_kf5_plugindir/KEmoticonsIntegrationPlugin.so

#--------------------------------------------------------------------

%define kf5emoticons_major 5
%define libkf5emoticons %mklibname kf5emoticons %{kf5emoticons_major}

%package -n %libkf5emoticons
Summary:  KDE Frameworks 5 Tier 3 module for emoticons support
Group:        System/Libraries

%description -n %libkf5emoticons
KDE Frameworks 5 Tier 3 module for emoticons support

%files -n %libkf5emoticons
%_kf5_libdir/libKF5Emoticons.so.%{kf5emoticons_major}*

#--------------------------------------------------------------------

%define kf5emoticons_devel %mklibname kf5emoticons -d

%package -n %kf5emoticons_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libkf5emoticons = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5emoticons_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5emoticons_devel
%_kf5_includedir/KEmoticons
%_kf5_includedir/kemoticons_version.h
%_kf5_libdir/cmake/KF5Emoticons
%_kf5_libdir/*.so
%_libdir/qt5/mkspecs/modules/*.pri

#--------------------------------------------------------------------

%prep
%setup -q 

%build
%cmake_kf5
%make

%install
%makeinstall_std -C build



%changelog
* Wed Jan 17 2018 neoclust <neoclust> 5.42.0-1.mga6
+ Revision: 1194130
- New version 5.42

* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089635
- Rebuild for armv7

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088964
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074535
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072200
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058355
- New version 5.27.0

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050532
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045110
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041332
- New version 5.24.0

* Fri Jun 17 2016 neoclust <neoclust> 5.23.0-1.mga6
+ Revision: 1021930
- New version 5.23.0

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014340
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999636
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986329
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942249
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921282
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-3.mga6
+ Revision: 913137
- Rebuild against Qt 5.6.0 Beta

* Mon Dec 14 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 910544
- Rebuild as previous ones had been rejected by the BS

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909883
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900454
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899557
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898926
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888166
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881390
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862951
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862632
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853797
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841573
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803961
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-3.mga5
+ Revision: 746734
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-2.mga5
+ Revision: 681035
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660430
- New version 5.1.0

* Sun Jul 13 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 651584
- New version 5.0.0

* Mon Jul 07 2014 neoclust <neoclust> 4.100.0-1.mga5
+ Revision: 650331
- New version 4.100.0
- New version 4.99.0

* Sat Apr 05 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 612117
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599824
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597455
- imported package kemoticons

